package net.northking.cctp.element.mobile.enums;

import java.util.HashMap;
import java.util.Map;

public class PasswordKeyCode {

    private final static Map<String, String> LETTER_MAP;

    static {
        LETTER_MAP = new HashMap<>();
        //字母+数字
        LETTER_MAP.put("1", "1");
        LETTER_MAP.put("2", "2");
        LETTER_MAP.put("3", "3");
        LETTER_MAP.put("4", "4");
        LETTER_MAP.put("5", "5");
        LETTER_MAP.put("6", "6");
        LETTER_MAP.put("7", "7");
        LETTER_MAP.put("8", "8");
        LETTER_MAP.put("9", "9");
        LETTER_MAP.put("0", "10");
        LETTER_MAP.put("q", "11");
        LETTER_MAP.put("w", "12");
        LETTER_MAP.put("e", "13");
        LETTER_MAP.put("r", "14");
        LETTER_MAP.put("t", "15");
        LETTER_MAP.put("y", "16");
        LETTER_MAP.put("u", "17");
        LETTER_MAP.put("i", "18");
        LETTER_MAP.put("o", "19");
        LETTER_MAP.put("p", "20");
        LETTER_MAP.put("a", "21");
        LETTER_MAP.put("s", "22");
        LETTER_MAP.put("d", "23");
        LETTER_MAP.put("f", "24");
        LETTER_MAP.put("g", "25");
        LETTER_MAP.put("h", "26");
        LETTER_MAP.put("j", "27");
        LETTER_MAP.put("k", "28");
        LETTER_MAP.put("l", "29");
        LETTER_MAP.put("z", "30");
        LETTER_MAP.put("x", "31");
        LETTER_MAP.put("c", "32");
        LETTER_MAP.put("v", "33");
        LETTER_MAP.put("b", "34");
        LETTER_MAP.put("n", "35");
        LETTER_MAP.put("m", "36");

        //字符
        LETTER_MAP.put("!", "1");
        LETTER_MAP.put("@", "2");
        LETTER_MAP.put("#", "3");
        LETTER_MAP.put("$", "4");
        LETTER_MAP.put("%", "5");
        LETTER_MAP.put("^", "6");
        LETTER_MAP.put("&", "7");
        LETTER_MAP.put("*", "8");
        LETTER_MAP.put("(", "9");
        LETTER_MAP.put(")", "10");
        LETTER_MAP.put("'", "11");
        LETTER_MAP.put("\"", "12");
        LETTER_MAP.put("=", "13");
        LETTER_MAP.put("_", "14");
        LETTER_MAP.put(":", "15");
        LETTER_MAP.put(";", "16");
        LETTER_MAP.put(",", "17");
        LETTER_MAP.put(".", "18");
        LETTER_MAP.put("?", "19");
        LETTER_MAP.put("|", "20");
        LETTER_MAP.put("+", "21");
        LETTER_MAP.put("-", "22");
        LETTER_MAP.put("\\", "23");
        LETTER_MAP.put("/", "24");
        LETTER_MAP.put("[", "25");
        LETTER_MAP.put("]", "26");
        LETTER_MAP.put("{", "27");
        LETTER_MAP.put("}", "28");
        LETTER_MAP.put("~", "29");
        LETTER_MAP.put("`", "30");
        LETTER_MAP.put("<", "31");
        LETTER_MAP.put(">", "32");
        LETTER_MAP.put(" ", "33");
    }

    public static String getCode(String character) {
        return LETTER_MAP.get(character);
    }
}
